1. child
LeksiGo v2
  • auth
    • login
      POST
    • register
      POST
    • logout
      POST
    • refresh token
      POST
  • child
    • get [parent]
      GET
    • post [parent]
      POST
    • get [insitution]
      GET
    • put [parent]
      PUT
    • delete [parent]
      DELETE
  • users [admin]
    • get
      GET
    • post
      POST
    • show
      GET
    • put
      PUT
    • delete
      DELETE
  • institution
    • get
      GET
    • post [admin]
      POST
    • show
      GET
    • updateStatus
      PATCH
    • get applicants [institution]
      GET
    • apply applicants [institution]
      POST
  • teacher [institution]
    • get
      GET
    • post
      POST
    • put
      PUT
    • updateStatus
      PATCH
  • playground
    • teacher
      • course
        • store
        • get
        • show
        • put
        • active status
      • modul
        • post
        • put
        • active status
        • show
    • student
      • submit answer
  • generate
    • question sugesstion
  1. child

put [parent]

Developing
PUT
/childs/{childId}

Request

Path Params

Query Params

Header Params

Body Params application/jsonRequired

Examples

Responses

🟢200Success
application/json
Bodyapplication/json

Request Request Example
Shell
JavaScript
Java
Swift
curl --location --globoff --request PUT 'https://api.leksigo.com/api/v2/childs/{{childId}}?nama=stevan' \
--header 'Authorization: Bearer {{accessToken}}' \
--header 'Content-Type: application/json' \
--data '{
    "fullName": "Ozak Sunandar",
    "dateOfBirth": "2026-05-11",
    "gender": 1,
    "therapyType": 1
}'
Response Response Example
Missing Params
{
    "success": false,
    "message": "Validation error",
    "errors": {
        "fullName": "Harap masukan nama terlebih dahulu",
        "dateOfBirth": "Harap masukan tanggal lahir terlebih dahulu",
        "gender": "Harap masukan jenis kelamin terlebih dahulu",
        "therapyType": "Harap masukan jenis terapi terlebih dahulu",
        "institutionId": "Cannot read properties of undefined (reading 'therapyType')"
    }
}
Modified at 2026-07-28 12:26:43
Previous
get [insitution]
Next
delete [parent]
Built with